# Uses of Class
com.logicaldoc.core.security.authorization.PermissionException

Packages that use PermissionException
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of PermissionException in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that throw PermissionException
Modifier and Type
Method
Description
`Ticket`
DocumentManager.`createTicket(Ticket ticket, DocumentHistory transaction)`
Creates a new ticket.
`void`
DocumentManager.`destroyDocument(long docId, FolderHistory transaction)`
Permanently deletes a document from the system, the document and all the dependent resources will not be recoverable in the future.